moeoDisctinctElitistReplacement(3)

NAME
moeoDisctinctElitistReplacement - Same than moeoElitistReplacement except that distinct individuals are privilegied.

SYNOPSIS

#include <moeoReplacement.h>

Inherits moeoReplacement< EOT, WorthT >< EOT, WorthT >.

  Public Member Functions
moeoDisctinctElitistReplacement (eoPerf2Worth< EOT, WorthT > &_perf2worth)
constructor
void operator() (eoPop< EOT > &_parents, eoPop< EOT > &_offspring)
replacement - result in _parents

  Private Member Functions
void createNewPop (eoPop< EOT > &_pop, unsigned _size)
creation of the new population of size _size

  Private Attributes
eoPerf2Worth< EOT, WorthT > & perf2worth
the functor object to transform raw fitnesses into fitness for selection

Detailed Description

  template<class EOT, class WorthT = double> class moeoDisctinctElitistReplacement< EOT, WorthT >
Same than moeoElitistReplacement except that distinct individuals are privilegied.

Definition at line 78 of file moeoReplacement.h.

Constructor & Destructor Documentation

  template<class EOT, class WorthT = double> moeoDisctinctElitistReplacement< EOT, WorthT >::moeoDisctinctElitistReplacement (eoPerf2Worth< EOT, WorthT > & _perf2worth) [inline]

constructor

Parameters:
    _perf2worth the functor class to transform raw fitnesses into fitness for selection

Definition at line 87 of file moeoReplacement.h.

Member Function Documentation

  template<class EOT, class WorthT = double> void moeoDisctinctElitistReplacement< EOT, WorthT >::operator() (eoPop< EOT > & _parents, eoPop< EOT > & _offspring) [inline, virtual]

replacement - result in _parents

Parameters:
    _parents parents population
    _offspring offspring population

Implements eoBF< eoPop< EOT > &, eoPop< EOT > &, void >.

Definition at line 99 of file moeoReplacement.h.

References moeoDisctinctElitistReplacement< EOT, WorthT >::createNewPop().

  template<class EOT, class WorthT = double> void moeoDisctinctElitistReplacement< EOT, WorthT >::createNewPop (eoPop< EOT > & _pop, unsigned _size) [inline, private]

creation of the new population of size _size

Parameters:
    _pop the initial population (will be modified)
    _size the size of the population to create

Definition at line 123 of file moeoReplacement.h.

References moeoDisctinctElitistReplacement< EOT, WorthT >::perf2worth, and eoPop< EOT >::swap().

Referenced by moeoDisctinctElitistReplacement< EOT, WorthT >::operator()().

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.